Bug 572971 (CVE-2010-0730) - CVE-2010-0730 xen: emulator instruction decoding inconsistency
Summary: CVE-2010-0730 xen: emulator instruction decoding inconsistency
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0730
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100506,reported=20100312,sou...
Depends On: 572979 572982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-12 14:07 UTC by Petr Matousek
Modified: 2019-06-08 12:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-05 19:59:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0398 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-05-06 18:49:33 UTC

Description Petr Matousek 2010-03-12 14:07:43 UTC
Paolo Bonzini found a bug in Xen hypervisor that can be used to crash the guest. Malicious guest userspace process can trick the hypervisor into emulating instruction that causes the crash if it has access to an MMIO region. The bug can be exploited because of an inconsistency between instruction decoding tables and the actual MMIO instruction decoder implementation.

Comment 14 Eugene Teo (Security Response) 2010-04-21 01:49:02 UTC
This issue does not affect upstream.

Comment 15 Petr Matousek 2010-04-27 16:27:19 UTC
This issue affects 32bit guests only.

Comment 18 Josh Bressers 2010-05-06 17:43:20 UTC
Lifting embargo

Comment 19 errata-xmlrpc 2010-05-06 18:49:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0398 https://rhn.redhat.com/errata/RHSA-2010-0398.html

Comment 20 Jarod Wilson 2010-05-19 19:00:33 UTC
in kernel-2.6.18-199.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.


Note You need to log in before you can comment on or make changes to this bug.